## qmmp-dmo 1.5.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5.0 FATAL_ERROR)
project(qmmp)

#freebsd support
include_directories(SYSTEM /usr/local/include)
SET(CMAKE_REQUIRED_INCLUDES ${CMAKE_REQUIRED_INCLUDES} /usr/local/include)

#macports support
IF(${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
  SET(CMAKE_REQUIRED_INCLUDES ${CMAKE_REQUIRED_INCLUDES} /opt/local/include)
ENDIF()

IF(POLICY CMP0071)
  cmake_policy(SET CMP0071 NEW)
ENDIF()

IF(POLICY CMP0063)
cmake_policy(SET CMP0063 NEW)
ENDIF()

#Qt5 modules
SET(CMAKE_PREFIX_PATH ${CMAKE_PREFIX_PATH} /opt/qt515/lib/cmake)

#installation paths
include(GNUInstallDirs)

#extract version from qmmp.h
FILE(STRINGS "${CMAKE_CURRENT_SOURCE_DIR}/src/qmmp/qmmp.h"
     QMMP_VERSION_DATA REGEX "^#define[ \t]+QMMP_VERSION_[A-Z]+[ \t]+[0-9]+.*$")

IF(QMMP_VERSION_DATA)
   FOREACH(item IN ITEMS MAJOR MINOR PATCH STABLE)
      STRING(REGEX REPLACE ".*#define[ \t]+QMMP_VERSION_${item}[ \t]+([0-9]+).*"
       "\\1" QMMP_VERSION_${item} ${QMMP_VERSION_DATA})
   ENDFOREACH(item IN ITEMS MAJOR MINOR PATCH)
   SET(QMMP_VERSION "${QMMP_VERSION_MAJOR}.${QMMP_VERSION_MINOR}.${QMMP_VERSION_PATCH}")
   SET(QMMP_SOVERSION "${QMMP_VERSION_MAJOR}")
   IF(QMMP_VERSION_STABLE)
      MESSAGE(STATUS "Qmmp API version: ${QMMP_VERSION} (stable)")
   ELSE(QMMP_VERSION_STABLE)
      MESSAGE(STATUS "Qmmp API version: ${QMMP_VERSION} (development)")
   ENDIF(QMMP_VERSION_STABLE)
ELSE(QMMP_VERSION_DATA)
   MESSAGE(FATAL_ERROR "invalid header")
ENDIF(QMMP_VERSION_DATA)

CONFIGURE_FILE(
  "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
  IMMEDIATE @ONLY)

ADD_CUSTOM_TARGET(uninstall
  "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

INCLUDE(FindPkgConfig)
set(CMAKE_AUTOMOC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
find_package(Qt5Widgets 5.4.0 REQUIRED)
find_package(Qt5LinguistTools 5.4.0 REQUIRED)
find_package(Qt5Network 5.4.0 REQUIRED)
find_package(Qt5X11Extras 5.4.0)
find_package(Qt5DBus 5.4.0)
find_package(Qt5Multimedia 5.4.0)
find_package(Qt5Sql 5.4.0)
find_package(Qt5WinExtras 5.4.0)
ADD_DEFINITIONS(-DQMMP_WS_X11 -DQT_DISABLE_DEPRECATED_BEFORE=0x050400 -DQT_DEPRECATED_WARNINGS)
set(CMAKE_CXX_VISIBILITY_PRESET hidden)
set(CMAKE_VISIBILITY_INLINES_HIDDEN 1)
set(CMAKE_CXX_STANDARD 11)

get_target_property(QT_LRELEASE_EXECUTABLE Qt5::lrelease IMPORTED_LOCATION)

IF(QT_LRELEASE_EXECUTABLE)
MESSAGE(STATUS "Found lrelease executable: " ${QT_LRELEASE_EXECUTABLE})
ELSE(QT_LRELEASE_EXECUTABLE)
MESSAGE(FATAL_ERROR "Could NOT find lrelease executable")
ENDIF(QT_LRELEASE_EXECUTABLE)

MESSAGE(STATUS "Generating translations ...")
IF(SVN_VERSION)
execute_process(COMMAND find ${CMAKE_CURRENT_SOURCE_DIR} -name *.ts COMMAND xargs ${QT_LRELEASE_EXECUTABLE} -silent -nounfinished)
ELSE(SVN_VERSION)
execute_process(COMMAND find ${CMAKE_CURRENT_SOURCE_DIR} -name *.ts COMMAND xargs ${QT_LRELEASE_EXECUTABLE} -silent)
ENDIF(SVN_VERSION)

get_target_property(QT_LIBRARY_DIR Qt5::Core LOCATION)
get_filename_component(QT_LIBRARY_DIR ${QT_LIBRARY_DIR} PATH)

SET(PLUGIN_DIR "${CMAKE_INSTALL_LIBDIR}/qmmp-${QMMP_VERSION_MAJOR}.${QMMP_VERSION_MINOR}" CACHE STRING "plugin path")
SET(USE_SKINNED TRUE CACHE BOOL "enable/disable standard skinned user interface")
SET(USE_DIR_ASSOC TRUE CACHE BOOL "enable/disable inode/directory mime type association")
#SET(APP_NAME_SUFFIX "-1")

pkg_search_module(X11 x11)

add_subdirectory(src/qmmp)
add_subdirectory(src/qmmpui)
add_subdirectory(src/plugins)
add_subdirectory(src/app)
add_subdirectory(doc)

IF(MAD_FOUND)
  SET(MPEG_DECODERS "MAD")
ENDIF(MAD_FOUND)

IF(MPG123_FOUND)
  SET(MPEG_DECODERS ${MPEG_DECODERS} "mpg123")
ENDIF(MPG123_FOUND)

MACRO(PRINT_SUMMARY str USE FOUND)
IF(${USE} AND ${FOUND})
MESSAGE("${str}enabled")
ELSE(${USE} AND ${FOUND})
MESSAGE("${str}disabled")
ENDIF(${USE} AND ${FOUND})
ENDMACRO(PRINT_SUMMARY)

IF (UNIX)
ADD_CUSTOM_TARGET (distclean @echo cleaning for source distribution)

ADD_CUSTOM_COMMAND(
    COMMENT "distribution clean"
    COMMAND make
    ARGS -C ${CMAKE_CURRENT_BINARY_DIR} clean
    COMMAND find
    ARGS ${CMAKE_CURRENT_BINARY_DIR} -name "CMakeCache.txt" | xargs rm -rf
    COMMAND find
    ARGS ${CMAKE_CURRENT_BINARY_DIR} -name "CMakeFiles" | xargs rm -rf
    COMMAND find
    ARGS ${CMAKE_CURRENT_BINARY_DIR} -name "Makefile" | xargs rm -rf
    COMMAND find
    ARGS ${CMAKE_CURRENT_BINARY_DIR} -name \"*.cmake\" | xargs rm -rf
    COMMAND find
    ARGS ${CMAKE_CURRENT_SOURCE_DIR} -name "*.qm" | xargs rm -rf
    COMMAND find
    ARGS ${CMAKE_CURRENT_BINARY_DIR} -name "*.pc" | xargs rm -rf
    COMMAND find
    ARGS ${CMAKE_CURRENT_BINARY_DIR} -name "*.depends" | xargs rm -rf
    COMMAND find
    ARGS ${CMAKE_CURRENT_BINARY_DIR} -name "*.cxx_parameters" | xargs rm -rf
    COMMAND find
    ARGS ${CMAKE_CURRENT_BINARY_DIR} -name "moc_*.cpp" | xargs rm -rf
    COMMAND find
    ARGS ${CMAKE_CURRENT_BINARY_DIR} -name "qrc_*.cxx" | xargs rm -rf
    COMMAND find
    ARGS ${CMAKE_CURRENT_BINARY_DIR} -name "*_automoc.cpp" | xargs rm -rf
    COMMAND rm
    ARGS -rf ${CMAKE_CURRENT_BINARY_DIR}/install_manifest.txt
    COMMAND find
    ARGS ${CMAKE_CURRENT_BINARY_DIR} -name *_automoc.dir | xargs rm -rf
    COMMAND rm
    ARGS -rf ${CMAKE_CURRENT_BINARY_DIR}/doc/html
    TARGET  distclean
)
ENDIF(UNIX)


MESSAGE("")
MESSAGE("Transports:")
PRINT_SUMMARY ("HTTP support .........................." USE_CURL CURL_FOUND)
PRINT_SUMMARY ("MMS support ..........................." USE_MMS MMS_FOUND)

MESSAGE("")
MESSAGE("Input Plugins:")
PRINT_SUMMARY ("MPEG support .........................." 1 MAD_FOUND OR MPG123_FOUND)
PRINT_SUMMARY ("FLAC support .........................." USE_FLAC FLAC_FOUND)
PRINT_SUMMARY ("Ogg Vorbis support ...................." USE_VORBIS VORBIS_FOUND)
PRINT_SUMMARY ("Musepack support ......................" USE_MPC MPC_FOUND)
PRINT_SUMMARY ("MOD support ..........................." USE_MODPLUG MODPLUG_FOUND)
PRINT_SUMMARY ("Wave support .........................." USE_SNDFILE SNDFILE_FOUND)
PRINT_SUMMARY ("WavPack support ......................." USE_WAVPACK WAVPACK_FOUND)
PRINT_SUMMARY ("FFmpeg support ........................" USE_FFMPEG FFMPEG_FOUND)
PRINT_SUMMARY ("AAC support ..........................." USE_AAC FAAD_FOUND)
PRINT_SUMMARY ("CUE sheet support ....................." USE_CUE 1)
PRINT_SUMMARY ("Mplayer support ......................." USE_MPLAYER 1)
PRINT_SUMMARY ("CD Audio support ......................" USE_CDA CDIO_FOUND)
PRINT_SUMMARY ("Midi support .........................." USE_MIDI WILDMIDI_FOUND)
PRINT_SUMMARY ("Game music support ...................." USE_GME GME_FOUND)
PRINT_SUMMARY ("Ogg Opus support ......................" USE_OPUS OPUS_FOUND)
PRINT_SUMMARY ("SID support ..........................." USE_SID SIDPLAYFP_FOUND)
PRINT_SUMMARY ("Archive support ......................." USE_ARCHIVE LIBARCHIVE_FOUND)

MESSAGE("")
MESSAGE("Output Plugins:")
PRINT_SUMMARY ("ALSA support .........................." USE_ALSA ALSA_FOUND)
PRINT_SUMMARY ("OSS support ..........................." USE_OSS 1)
PRINT_SUMMARY ("OSS4 support .........................." USE_OSS4 OSS4_FOUND)
PRINT_SUMMARY ("JACK support .........................." USE_JACK JACK_FOUND)
PRINT_SUMMARY ("PulseAudio support ...................." USE_PULSE PULSE_FOUND)
PRINT_SUMMARY ("PipeWire support ......................" USE_PIPEWIRE PIPEWIRE_FOUND)
PRINT_SUMMARY ("Null output support ..................." USE_NULL 1)
PRINT_SUMMARY ("Waveout support (Windows) ............." USE_WAVEOUT WINDOWS_H_FOUND)
PRINT_SUMMARY ("DirectSound support (Windows) ........." USE_DSOUND DSOUND_H_FOUND)
PRINT_SUMMARY ("WASAPI support (Windows) .............." USE_WASAPI WASAPI_FOUND)
PRINT_SUMMARY ("Qt Multimedia support ................." USE_QTMULTIMEDIA Qt5Multimedia_FOUND)
PRINT_SUMMARY ("Icecast support ......................." USE_SHOUT SHOUT_FOUND)

MESSAGE("")
MESSAGE("Effect Plugins:")
PRINT_SUMMARY ("SoX Resampler ........................." USE_SOXR SOXR_FOUND)
PRINT_SUMMARY ("BS2B Plugin ..........................." USE_BS2B BS2B_FOUND)
PRINT_SUMMARY ("LADSPA Host ..........................." USE_LADSPA 1)
PRINT_SUMMARY ("Crossfade ............................." USE_CROSSFADE 1)
PRINT_SUMMARY ("Extra Stereo .........................." USE_STEREO 1)
PRINT_SUMMARY ("File Writer ..........................." USE_FILEWRITER VORBISENC_FOUND)
PRINT_SUMMARY ("Mono to Stereo Converter .............." USE_MONOTOSTEREO 1)

MESSAGE("")
MESSAGE("Visual Plugins:")
PRINT_SUMMARY ("Analyzer .............................." USE_ANALYZER 1)
PRINT_SUMMARY ("ProjectM .............................." USE_PROJECTM PROJECTM_FOUND)

MESSAGE("")
MESSAGE("General Plugins:")
PRINT_SUMMARY ("MPRIS support ........................." USE_MPRIS Qt5DBus_FOUND)
PRINT_SUMMARY ("Scrobbler ............................." USE_SCROBBLER 1)
PRINT_SUMMARY ("ListenBrainz .........................." USE_LISTENBRAINZ 1)
PRINT_SUMMARY ("Tray support .........................." USE_STATICON 1)
PRINT_SUMMARY ("Notifier support ......................" USE_NOTIFIER 1)
PRINT_SUMMARY ("Lyrics support ........................" USE_LYRICS 1)
PRINT_SUMMARY ("HAL support ..........................." USE_HAL Qt5DBus_FOUND)
PRINT_SUMMARY ("UDisks2 support ......................." USE_UDISKS2 Qt5DBus_FOUND)
PRINT_SUMMARY ("Global hotkey support ................." USE_HOTKEY X11_FOUND AND XCB_H_FOUND AND Qt5X11Extras_FOUND)
PRINT_SUMMARY ("GNOME/Cinnamon hotkey support ........." USE_GNOMEHOTKEY Qt5DBus_FOUND)
PRINT_SUMMARY ("File operations ......................." USE_FILEOPS 1)
PRINT_SUMMARY ("Cover manager ........................." USE_COVER 1)
PRINT_SUMMARY ("KDE notifications support ............." USE_KDENOTIFY Qt5DBus_FOUND)
PRINT_SUMMARY ("Audio converter ......................." USE_CONVERTER TAGLIB_FOUND)
PRINT_SUMMARY ("ReplayGain Scanner ...................." USE_RGSCAN TAGLIB_FOUND)
PRINT_SUMMARY ("Stream browser ........................" USE_SB 1)
PRINT_SUMMARY ("Track change .........................." USE_TRACKCHANGE 1)
PRINT_SUMMARY ("Copy/Paste ............................" USE_COPYPASTE 1)
PRINT_SUMMARY ("History plugin ........................" USE_HISTORY Qt5Sql_FOUND)
PRINT_SUMMARY ("Sleep mode inhibition plugin .........." USE_SLEEPINHIBITOR Qt5DBus_FOUND)
PRINT_SUMMARY ("Media library plugin .................." USE_LIBRARY Qt5Sql_FOUND)
PRINT_SUMMARY ("Taskbar plugin (Windows) .............." USE_TASKBAR Qt5WinExtras_FOUND)
PRINT_SUMMARY ("Removable device detection (Windows) .." USE_RDETECT Qt5WinExtras_FOUND)

MESSAGE("")
MESSAGE("File Dialogs:")
PRINT_SUMMARY ("QMMP File Dialog ......................" USE_QMMP_DIALOG 1)
PRINT_SUMMARY ("Two-panel File File Dialog ............" USE_TWO_PANEL_DIALOG 1)

MESSAGE("")
MESSAGE("Advanced:")
PRINT_SUMMARY ("Skinned user interface ................" USE_SKINNED X11_FOUND AND Qt5X11Extras_FOUND)
PRINT_SUMMARY ("Simple user interface (QSUI) .........." USE_QSUI 1)
PRINT_SUMMARY ("Automatic charset detection ..........." USE_ENCA ENCA_FOUND)
PRINT_SUMMARY ("MPEG plugin with LibRCD support ......." USE_LIBRCD LIBRCD_FOUND)
PRINT_SUMMARY ("Directory association ................." USE_DIR_ASSOC 1)
PRINT_SUMMARY ("Set RPATH in installed binaries ......." CMAKE_INSTALL_RPATH_USE_LINK_PATH 1)
IF(MPEG_DECODERS)
MESSAGE       ("MPEG decoders ........................." "${MPEG_DECODERS}")
ENDIF(MPEG_DECODERS)

MESSAGE("")

=== src/plugins/General/CMakeLists.txt ===
SET(USE_MPRIS TRUE CACHE BOOL "enable/disable mpris plugin")
SET(USE_SCROBBLER TRUE CACHE BOOL "enable/disable scrobbler plugin")
SET(USE_LISTENBRAINZ TRUE CACHE BOOL "enable/disable listenbrainz plugin")
SET(USE_STATICON TRUE CACHE BOOL "enable/disable status icon plugin")
SET(USE_NOTIFIER TRUE CACHE BOOL "enable/disable notifier plugin")
SET(USE_LYRICS TRUE CACHE BOOL "enable/disable lyrics version")
SET(USE_HAL (${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD") CACHE BOOL "enable/disable hal plugin")
SET(USE_UDISKS2 TRUE CACHE BOOL "enable/disable udisks2 plugin")
SET(USE_HOTKEY TRUE CACHE BOOL "enable/disable global hotkey plugin")
SET(USE_GNOMEHOTKEY TRUE CACHE BOOL "enable/disable gnome hotkey plugin")
SET(USE_FILEOPS TRUE CACHE BOOL "enable/disable fileops plugin")
SET(USE_COVER TRUE CACHE BOOL "enable/disable cover manager plugin")
SET(USE_KDENOTIFY TRUE CACHE BOOL "enable/disable kde notification plugin")
SET(USE_CONVERTER TRUE CACHE BOOL "enable/disable audio converter plugin")
SET(USE_RGSCAN TRUE CACHE BOOL "enable/disable replaygain scanner plugin")
SET(USE_SB TRUE CACHE BOOL "enable/disable stream browser plugin")
SET(USE_TRACKCHANGE TRUE CACHE BOOL "enable/disable track change plugin")
SET(USE_COPYPASTE TRUE CACHE BOOL "enable/disable copy/paste change plugin")
SET(USE_HISTORY TRUE CACHE BOOL "enable/disable history plugin")
SET(USE_SLEEPINHIBITOR TRUE CACHE BOOL "enable/disable sleep mode inhibition plugin")
SET(USE_LIBRARY TRUE CACHE BOOL "enable/disable media library plugin")
SET(USE_TASKBAR TRUE CACHE BOOL "enable/disable taskbar plugin (Windows)")
SET(USE_RDETECT TRUE CACHE BOOL "enable/disable rdetect plugin (Windows)")

IF(USE_MPRIS AND Qt5DBus_FOUND)
add_subdirectory(mpris)
ENDIF(USE_MPRIS AND Qt5DBus_FOUND)

IF(USE_SCROBBLER)
add_subdirectory(scrobbler)
ENDIF(USE_SCROBBLER)

IF(USE_LISTENBRAINZ)
add_subdirectory(listenbrainz)
ENDIF(USE_LISTENBRAINZ)

IF(USE_STATICON)
add_subdirectory(statusicon)
ENDIF(USE_STATICON)

IF(USE_NOTIFIER)
add_subdirectory(notifier)
ENDIF(USE_NOTIFIER)

IF(USE_LYRICS)
add_subdirectory(lyrics)
ENDIF(USE_LYRICS)

IF(USE_HAL AND Qt5DBus_FOUND)
add_subdirectory(hal)
ENDIF(USE_HAL AND Qt5DBus_FOUND)

IF(USE_UDISKS2 AND Qt5DBus_FOUND)
add_subdirectory(udisks2)
ENDIF(USE_UDISKS2 AND Qt5DBus_FOUND)

IF(USE_HOTKEY AND Qt5X11Extras_FOUND)
add_subdirectory(hotkey)
ENDIF(USE_HOTKEY AND Qt5X11Extras_FOUND)

IF(USE_FILEOPS)
add_subdirectory(fileops)
ENDIF(USE_FILEOPS)

IF(USE_COVER)
add_subdirectory(covermanager)
ENDIF(USE_COVER)

IF(USE_KDENOTIFY AND Qt5DBus_FOUND)
add_subdirectory(kdenotify)
ENDIF(USE_KDENOTIFY AND Qt5DBus_FOUND)

IF(USE_CONVERTER AND TAGLIB_FOUND)
add_subdirectory(converter)
ENDIF(USE_CONVERTER AND TAGLIB_FOUND)

IF(USE_RGSCAN AND TAGLIB_FOUND)
add_subdirectory(rgscan)
ENDIF(USE_RGSCAN AND TAGLIB_FOUND)

IF(USE_SB)
add_subdirectory(streambrowser)
ENDIF(USE_SB)

IF(USE_TRACKCHANGE)
add_subdirectory(trackchange)
ENDIF(USE_TRACKCHANGE)

IF(USE_COPYPASTE)
add_subdirectory(copypaste)
ENDIF(USE_COPYPASTE)

IF(USE_GNOMEHOTKEY AND Qt5DBus_FOUND)
add_subdirectory(gnomehotkey)
ENDIF(USE_GNOMEHOTKEY AND Qt5DBus_FOUND)

IF(USE_HISTORY AND Qt5Sql_FOUND)
add_subdirectory(history)
ENDIF(USE_HISTORY AND Qt5Sql_FOUND)

IF(USE_SLEEPINHIBITOR AND Qt5DBus_FOUND)
add_subdirectory(sleepinhibitor)
ENDIF(USE_SLEEPINHIBITOR AND Qt5DBus_FOUND)

IF(USE_TASKBAR AND Qt5WinExtras_FOUND)
add_subdirectory(taskbar)
ENDIF(USE_TASKBAR AND Qt5WinExtras_FOUND)

IF(USE_RDETECT AND Qt5WinExtras_FOUND)
add_subdirectory(rdetect)
ENDIF(USE_RDETECT AND Qt5WinExtras_FOUND)

IF(USE_LIBRARY AND Qt5Sql_FOUND)
add_subdirectory(library)
ENDIF(USE_LIBRARY AND Qt5Sql_FOUND)

=== src/plugins/Input/CMakeLists.txt ===
SET(USE_MAD            TRUE CACHE BOOL "enable/disable mad decoder (mpeg plugin)")
SET(USE_MPG123         TRUE CACHE BOOL "enable/disable mpg123 decoder (mpeg plugin)")
SET(USE_FLAC           TRUE CACHE BOOL "enable/disable flac plugin")
SET(USE_VORBIS         TRUE CACHE BOOL "enable/disable ogg vorbis plugin")
SET(USE_FFMPEG         TRUE CACHE BOOL "enable/disable ffmpeg plugin")
SET(USE_MPC            TRUE CACHE BOOL "enable/disable mpc plugin")
SET(USE_SNDFILE        TRUE CACHE BOOL "enable/disable sndfile plugin")
SET(USE_WAVPACK        TRUE CACHE BOOL "enable/disable wavpack plugin")
SET(USE_MODPLUG        TRUE CACHE BOOL "enable/disable modplug plugin")
SET(USE_AAC            TRUE CACHE BOOL "enable/disable aac plugin")
SET(USE_CUE            TRUE CACHE BOOL "enable/disable cue plugin")
SET(USE_CDA            TRUE CACHE BOOL "enable/disable cd audio support")
SET(USE_MIDI           TRUE CACHE BOOL "enable/disable midi support")
SET(USE_GME            TRUE CACHE BOOL "enable/disable game music plugin")
SET(USE_OPUS           TRUE CACHE BOOL "enable/disable opus plugin")
SET(USE_SID            TRUE CACHE BOOL "enable/disable sid plugin")
SET(USE_ARCHIVE        TRUE CACHE BOOL "enable/disable archive plugin")


IF((USE_MAD OR USE_MPG123) AND TAGLIB_FOUND)
add_subdirectory(mpeg)
ENDIF((USE_MAD OR USE_MPG123) AND TAGLIB_FOUND)

IF(USE_FLAC AND TAGLIB_FOUND)
add_subdirectory(flac)
ENDIF(USE_FLAC AND TAGLIB_FOUND)

IF(USE_VORBIS AND TAGLIB_FOUND)
add_subdirectory(vorbis)
ENDIF(USE_VORBIS AND TAGLIB_FOUND)

IF(USE_FFMPEG AND TAGLIB_FOUND)
add_subdirectory(ffmpeg)
ENDIF(USE_FFMPEG AND TAGLIB_FOUND)

IF(USE_MPC AND TAGLIB_FOUND)
add_subdirectory(mpc)
ENDIF(USE_MPC AND TAGLIB_FOUND)

IF(USE_SNDFILE)
add_subdirectory(sndfile)
ENDIF(USE_SNDFILE)

IF(USE_WAVPACK)
add_subdirectory(wavpack)
ENDIF(USE_WAVPACK)

IF(USE_MODPLUG)
add_subdirectory(modplug)
ENDIF(USE_MODPLUG)

IF(USE_AAC AND TAGLIB_FOUND)
add_subdirectory(aac)
ENDIF(USE_AAC AND TAGLIB_FOUND)

IF(USE_CUE)
add_subdirectory(cue)
ENDIF(USE_CUE)

IF(USE_CDA)
add_subdirectory(cdaudio)
ENDIF(USE_CDA)

IF(USE_MIDI)
add_subdirectory(wildmidi)
ENDIF(USE_MIDI)

IF(USE_GME)
add_subdirectory(gme)
ENDIF(USE_GME)

IF(USE_OPUS AND TAGLIB_FOUND)
add_subdirectory(opus)
ENDIF(USE_OPUS AND TAGLIB_FOUND)

IF(USE_SID)
add_subdirectory(sid)
ENDIF(USE_SID)

IF(USE_ARCHIVE AND TAGLIB_FOUND AND (NOT (TAGLIB_VERSION VERSION_LESS 1.11)))
add_subdirectory(archive)
ENDIF(USE_ARCHIVE AND TAGLIB_FOUND AND (NOT (TAGLIB_VERSION VERSION_LESS 1.11)))

=== src/plugins/Output/pipewire/CMakeLists.txt ===
project(libpipewire)

include_directories(${CMAKE_CURRENT_BINARY_DIR})

# libqmmp
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../../../)
link_directories(${CMAKE_CURRENT_BINARY_DIR}/../../../qmmp)

# pipewire
pkg_check_modules(PIPEWIRE libpipewire-0.3>=0.3.26 libspa-0.2>=0.2)

include_directories(${PIPEWIRE_INCLUDE_DIRS})
link_directories(${PIPEWIRE_LIBRARY_DIRS})
ADD_DEFINITIONS(${PIPEWIRE_CFLAGS})

SET(libpipewire_SRCS
  outputpipewire.cpp
  outputpipewirefactory.cpp
)

SET(libpipewire_HDRS
  outputpipewire.h
)

SET(libpipewire_RCCS translations/translations.qrc)

QT5_ADD_RESOURCES(libpipewire_RCC_SRCS ${libpipewire_RCCS})

# Don't forget to include output directory, otherwise
# the UI file won't be wrapped!
include_directories(${CMAKE_CURRENT_BINARY_DIR})

IF(PIPEWIRE_FOUND)
ADD_LIBRARY(pipewire MODULE ${libpipewire_SRCS} ${libpipewire_UIS_H}
  ${libpipewire_RCC_SRCS} ${libpipewire_HDRS})
add_dependencies(pipewire libqmmp)
target_link_libraries(pipewire Qt5::Widgets libqmmp ${PIPEWIRE_LDFLAGS})
install(TARGETS pipewire DESTINATION ${PLUGIN_DIR}/Output)
ENDIF(PIPEWIRE_FOUND)

=== debian/changelog ===
qmmp-dmo (2:1.5.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 23 May 2021 13:06:59 +0200

qmmp-dmo (2:1.4.6-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 09 May 2021 14:54:44 +0200

qmmp-dmo (2:1.4.5-dmo2) unstable; urgency=medium

  * Add libshout-dev and libmpg123-dev to Build-Depends to enable Icecast
    and mpg123.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 29 Apr 2021 09:28:32 +0200

qmmp-dmo (2:1.4.5-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 29 Apr 2021 00:47:36 +0200

qmmp-dmo (2:1.4.4-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 05 Feb 2021 08:47:25 +0100

qmmp-dmo (2:1.4.3-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 17 Dec 2020 08:37:28 +0100

qmmp-dmo (2:1.4.2-dmo2) unstable; urgency=medium

  * Build with libsidplayfp4

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 01 Nov 2020 14:18:24 +0100

qmmp-dmo (2:1.4.2-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 20 Sep 2020 07:29:50 +0200

qmmp-dmo (2:1.4.1-dmo2) unstable; urgency=medium

  * qmmp-plugin-projectm package isn't for armel and armhf architectures
    (Doesn't build)

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 18 Jul 2020 15:54:41 +0200

qmmp-dmo (2:1.4.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 17 Jul 2020 23:35:33 +0200

qmmp-dmo (2:1.4.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 29 Apr 2020 09:06:57 +0200

qmmp-dmo (2:1.3.7-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 27 Mar 2020 09:04:06 +0100

qmmp-dmo (2:1.3.6-dmo2) unstable; urgency=medium

  * Remove qmmp-plugin-projectm package

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 07 Mar 2020 08:10:18 +0100

qmmp-dmo (2:1.3.6-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 15 Jan 2020 08:12:09 +0100

qmmp-dmo (2:1.3.5-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 22 Dec 2019 08:52:01 +0100

qmmp-dmo (2:1.3.4-dmo2) unstable; urgency=medium

  * Build against qtbase-abi-5-12-5 and/or qtdeclarative-abi-5-12-5

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 23 Oct 2019 14:19:48 +0200

qmmp-dmo (2:1.3.4-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 28 Aug 2019 07:43:37 +0200

qmmp-dmo (2:1.3.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 16 Jun 2019 00:16:54 +0200

qmmp-dmo (2:1.3.2-dmo2) unstable; urgency=medium

  * Rebuild against libcdio19

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 13 Jun 2019 07:54:40 +0200

qmmp-dmo (2:1.3.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 05 May 2019 09:29:37 +0200

qmmp-dmo (2:1.3.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 25 Feb 2019 08:58:16 +0100

qmmp-dmo (2:1.3.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 11 Feb 2019 08:36:01 +0100

qmmp-dmo (2:1.2.6-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 08 Jan 2019 14:07:11 +0100

qmmp-dmo (2:1.2.5-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 21 Dec 2018 11:02:07 +0100

qmmp-dmo (2:1.2.4-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 22 Sep 2018 08:43:07 +0200

qmmp-dmo (2:1.2.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 20 Jul 2018 19:15:58 +0200

qmmp-dmo (2:1.2.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 01 Jun 2018 08:59:04 +0200

qmmp-dmo (2:1.2.1-dmo2) unstable; urgency=medium

  * Rebuild against ffmpeg 4.0

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 21 Apr 2018 09:03:35 +0200

qmmp-dmo (2:1.2.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 20 Apr 2018 08:38:21 +0200

qmmp-dmo (2:1.2.0-dmo3) unstable; urgency=medium

  * Rebuild against libcdio18

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 02 Jan 2018 16:49:39 +0100

qmmp-dmo (2:1.2.0-dmo2) unstable; urgency=medium

  * Replaces ttf-dejavu-core by fonts-dejavu-core for qmmp-plugin-projectm
    package.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 28 Dec 2017 08:11:58 +0100

qmmp-dmo (2:1.2.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 25 Nov 2017 14:46:18 +0100

qmmp-dmo (2:1.1.12-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 23 Nov 2017 17:36:59 +0100

qmmp-dmo (2:1.1.10-dmo1) unstable; urgency=medium

  * New upstream release (Qt5 version).

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 27 Aug 2017 08:42:59 +0200

qmmp-dmo (2:0.10.10-dmo2) unstable; urgency=medium



=== debian/control ===
Source: qmmp-dmo
Section: sound
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: http://qmmp.ylsoftware.com/
Standards-Version: 4.5.1
Build-Conflicts: libprojectm-dev [armel armhf]
Build-Depends: debhelper-compat (= 13), cmake (>= 2.6.0), pkg-config, libenca-dev,
 libasound2-dev [linux-any], libjack-jackd2-dev, libpulse-dev (>= 0.9.15),
 libvorbis-dev, libmad0-dev, libtag1-dev (>= 1.6), libcurl4-gnutls-dev,
 libflac-dev (>= 1.1.3), libsamplerate0-dev (>= 0.1.2), qtbase5-dev, oss4-dev,
 libmodplug-dev (>= 1:0.8.4), libsndfile1-dev (>= 1.0.17), qttools5-dev,
 libwavpack-dev (>= 4.41), libopusfile-dev, libavcodec-dev (>= 10:4.0),
 libavformat-dev, libx11-dev, libfaad-dev (>= 2.6.1), libsoxr-dev, ninja-build,
 libmpcdec-dev, libcdio-paranoia-dev, libmms-dev (>= 0.4), qtmultimedia5-dev,
 libcddb2-dev (>= 1.3.1), libsidplayfp-dev (>= 1.8.1~), libqt5x11extras5-dev,
 libwildmidi-dev (>= 0.2.3.4), libgme-dev (>= 0.5.5), libbs2b-dev (>= 3.0.0),
 libarchive-dev, libprojectm-dev [!armel !armhf], libshout-dev, libmpg123-dev

# libpipewire-0.3-dev (>= 0.3.26)

Package: qmmp
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: qmmp-plugin-projectm, mplayer, unzip, udisks2 [linux-any], hal [!linux-any]
Replaces: libqmmp0 (<< 0.8.1-dmo3), libqmmpui0 (<< 0.8.1-dmo3), libqmmp-misc (<< 0.8.1-dmo3)
Conflicts: libqmmp0 (<< 0.8.1-dmo3), libqmmpui0 (<< 0.8.1-dmo3), libqmmp-misc (<< 0.8.1-dmo3)
Description: Feature-rich audio player with support of many formats
 Qmmp is feature-rich audio player with support of many formats.
 .
 Audio formats supported:
  - MPEG1 layer 2/3
  - Ogg Vorbis
  - Ogg Opus
  - Native FLAC, Ogg FLAC
  - Musepack
  - WavePack
  - tracker modules (mod, s3m, it, xm, etc)
  - ADTS AAC
  - CD Audio
  - WMA, Monkey's Audio (and other formats provided by FFmpeg library)
  - PCM WAVE (and other formats provided by libsndfile library)
  - midi
  - SID
  - chiptune formats (AY, GBS, GYM, HES, KSS, NSF, NSFE, SAP, SPC, VGM, VGZ,
    VTX)
 .
 Audio output through:
  - ALSA
  - OSS
  - PulseAudio
  - JACK
 .
 DSP effects:
  - BS2B effect
  - sample rate converter
  - LADSPA effects
  - extra stereo
  - crossfade
 .
 Other features:
  - XMMS and Winamp 2.x skins support
  - 10-band equalizer
  - MP3, Vorbis, AAC, AAC+ streams support
  - mms support
  - MPRIS (1.0 and 2.0)
  - removable device detection (via HAL or UDisks)
  - video playback via Mplayer
  - lyrics (using lyrics.wikia.com)
  - cover art support
  - CUE sheet support
  - embedded CUE support (for FLAC and WavPack)
  - multiple playlists
  - automatic charset detection for cue files and ShoutCast metadata
  - playlist formats: m3u, pls, xspf
  - ReplayGain support
  - Last.fm/Libre.fm scrobbler
  - CDDB support
  - audio converter
  - stream browser
  - audio formats converter
  - external programs execution on track change
  - ReplayGain scanner
  - visualization (spectre analyzer, projectm)
  - global hotkeys

Package: qmmp-plugin-projectm
Architecture: amd64 arm64 i386 mips mipsel powerpc mips64el
Depends: ${misc:Depends}, ${shlibs:Depends}, fonts-dejavu-core
Description: qmmp audio player -- projectM visualization plugin
 Qmmp is feature-rich audio player with support of many formats. It is
 written in Qt.
 .
 See 'qmmp' package for full description.
 .
 This package contains projectM visualization plugin for qmmp.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ -Scmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- \
	-DCMAKE_BUILD_TYPE=RelWithDebInfo \
	-DCMAKE_INSTALL_RPATH=/usr/lib/qmmp \
	-DLIB_DIR=lib/qmmp

#	exit 1

override_dh_clean:
	find -name '*.qm' -delete

	dh_clean

override_dh_install:
ifneq (,$(filter-out armel armhf,$(DEB_HOST_ARCH)))
	dh_install -pqmmp-plugin-projectm
endif
	dh_install -Xlibprojectm.so

override_dh_auto_test:

=== debian/watch ===
version=4

http://qmmp.ylsoftware.com/files/ qmmp-(.+)@ARCHIVE_EXT@

## qmmp-dmo 1.6.4

=== src/plugins/Transports/http/CMakeLists.txt ===
project(libhttp)

include_directories(${CMAKE_CURRENT_BINARY_DIR})

# libqmmp
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../../../)
link_directories(${CMAKE_CURRENT_BINARY_DIR}/../../../qmmp)

# libcurl
pkg_search_module(CURL libcurl >= 7.32.0)
include_directories(${CURL_INCLUDE_DIRS})
link_directories(${CURL_LIBRARY_DIRS})
ADD_DEFINITIONS(${CURL_CFLAGS})

# libenca
IF(USE_ENCA AND ENCA_FOUND)
ADD_DEFINITIONS(-DWITH_ENCA)
include_directories(${ENCA_INCLUDE_DIRS})
link_directories(${ENCA_LIBRARY_DIRS})
ENDIF(USE_ENCA AND ENCA_FOUND)

SET(libhttp_SRCS
    httpstreamreader.cpp
    httpinputfactory.cpp
    httpinputsource.cpp
    settingsdialog.cpp
)

# resources
SET(libhttp_RCCS translations/translations.qrc)
QT5_ADD_RESOURCES(libhttp_RCC_SRCS ${libhttp_RCCS})

# user interface
SET(libhttp_UIS
    settingsdialog.ui
)
QT5_WRAP_UI(libhttp_UIS_H ${libhttp_UIS})


# Don't forget to include output directory, otherwise
# the UI file won't be wrapped!
include_directories(${CMAKE_CURRENT_BINARY_DIR})

IF(CURL_FOUND)
ADD_LIBRARY(http MODULE ${libhttp_SRCS} ${libhttp_UIS_H} ${libhttp_RCC_SRCS})

IF(USE_ENCA AND ENCA_FOUND)
target_link_libraries(http Qt5::Widgets libqmmp ${CURL_LDFLAGS} ${CURL_CFLAGS} ${ENCA_LDFLAGS} ${ENCA_CFLAGS})
ELSE(USE_ENCA AND ENCA_FOUND)
target_link_libraries(http Qt5::Widgets libqmmp ${CURL_LDFLAGS})
ENDIF(USE_ENCA AND ENCA_FOUND)

add_dependencies(http libqmmp)
install(TARGETS http DESTINATION ${PLUGIN_DIR}/Transports)
ENDIF(CURL_FOUND)

=== debian/changelog ===
qmmp-dmo (2:1.6.4-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 26 May 2023 01:03:28 +0200

qmmp-dmo (2:1.6.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 30 Mar 2023 01:00:14 +0200

qmmp-dmo (2:1.6.2-dmo3) unstable; urgency=medium

  * Build with ffmpeg 6.0

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 02 Mar 2023 11:42:31 +0100

qmmp-dmo (2:1.6.2-dmo2) unstable; urgency=medium

  * Build with libflac12

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 20 Oct 2022 15:44:17 +0200

qmmp-dmo (2:1.6.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 15 Sep 2022 07:49:30 +0200

qmmp-dmo (2:1.6.1-dmo2) unstable; urgency=medium

  * Build with ffmpeg 5.0

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 23 Jun 2022 13:35:31 +0200

qmmp-dmo (2:1.6.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 10 Jun 2022 20:02:33 +0200

qmmp-dmo (2:1.6.0-dmo1) unstable; urgency=medium

  * New upstream release.
  * In Build-Depends, replaces libmodplug-dev by libxmp-dev

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 17 May 2022 19:35:04 +0200

qmmp-dmo (2:1.5.4-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 20 Apr 2022 08:35:14 +0200

qmmp-dmo (2:1.5.0-dmo3) unstable; urgency=medium

  * Build with libsidplayfp6

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 12 Oct 2021 00:54:19 +0200

qmmp-dmo (2:1.5.0-dmo2) unstable; urgency=medium

  * Enable PipeWire.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 10 Sep 2021 11:16:08 +0200

=== debian/control ===
--- 
+++ 
@@ -3,22 +3,22 @@
 Priority: optional
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
-Homepage: http://qmmp.ylsoftware.com/
-Standards-Version: 4.5.1
+Homepage: https://qmmp.ylsoftware.com/
+Rules-Requires-Root: no
+Standards-Version: 4.6.2
 Build-Conflicts: libprojectm-dev [armel armhf]
-Build-Depends: debhelper-compat (= 13), cmake (>= 2.6.0), pkg-config, libenca-dev,
+Build-Depends: debhelper-compat (= 13), cmake (>= 2.6.0), pkgconf, libenca-dev,
  libasound2-dev [linux-any], libjack-jackd2-dev, libpulse-dev (>= 0.9.15),
  libvorbis-dev, libmad0-dev, libtag1-dev (>= 1.6), libcurl4-gnutls-dev,
  libflac-dev (>= 1.1.3), libsamplerate0-dev (>= 0.1.2), qtbase5-dev, oss4-dev,
- libmodplug-dev (>= 1:0.8.4), libsndfile1-dev (>= 1.0.17), qttools5-dev,
+ libxmp-dev, libsndfile1-dev (>= 1.0.17), qttools5-dev,
  libwavpack-dev (>= 4.41), libopusfile-dev, libavcodec-dev (>= 10:4.0),
  libavformat-dev, libx11-dev, libfaad-dev (>= 2.6.1), libsoxr-dev, ninja-build,
  libmpcdec-dev, libcdio-paranoia-dev, libmms-dev (>= 0.4), qtmultimedia5-dev,
  libcddb2-dev (>= 1.3.1), libsidplayfp-dev (>= 1.8.1~), libqt5x11extras5-dev,
  libwildmidi-dev (>= 0.2.3.4), libgme-dev (>= 0.5.5), libbs2b-dev (>= 3.0.0),
- libarchive-dev, libprojectm-dev [!armel !armhf], libshout-dev, libmpg123-dev
-
-# libpipewire-0.3-dev (>= 0.3.26)
+ libarchive-dev, libprojectm-dev [!armel !armhf], libshout-dev, libmpg123-dev,
+ libpipewire-0.3-dev (>= 0.3.26)
 
 Package: qmmp
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,7 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
 	-DCMAKE_BUILD_TYPE=RelWithDebInfo \
+	-DCMAKE_INSTALL_RPATH_USE_LINK_PATH=1 \
 	-DCMAKE_INSTALL_RPATH=/usr/lib/qmmp \
 	-DLIB_DIR=lib/qmmp

=== debian/watch ===
version=4

opts="uversionmangle=s/2\.//" \
https://qmmp.ylsoftware.com/downloads.php \
.*/qmmp-(.+)@ARCHIVE_EXT@

## qmmp-dmo 2.2.7

=== debian/changelog ===
qmmp-dmo (2:2.2.7-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 29 Jun 2025 14:20:02 +0200

qmmp-dmo (2:2.2.6-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 21 May 2025 02:34:14 +0200

qmmp-dmo (2:2.2.5-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 26 Apr 2025 08:19:09 +0200

qmmp-dmo (2:2.2.4-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 29 Mar 2025 12:08:39 +0100

qmmp-dmo (2:2.2.3-dmo1+b2) unstable; urgency=medium

  * Build with libflac12

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 21 Feb 2025 19:38:27 +0100

qmmp-dmo (2:2.2.3-dmo1+b1) unstable; urgency=medium

  * Build with libtag2 with Debian patch

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 14 Jan 2025 11:23:15 +0100

qmmp-dmo (2:2.2.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 03 Jan 2025 02:45:43 +0100

qmmp-dmo (2:2.2.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 11 Nov 2024 02:09:48 +0100

qmmp-dmo (2:2.2.1-dmo2) unstable; urgency=medium

  * Don't install libprojectm.so twice

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 15 Oct 2024 01:35:11 +0200

qmmp-dmo (2:2.2.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 14 Oct 2024 23:38:51 +0200

qmmp-dmo (2:2.2.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 05 Oct 2024 00:33:48 +0200

qmmp-dmo (2:2.1.9-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 23 Sep 2024 10:41:33 +0200

qmmp-dmo (2:2.1.4-dmo4) unstable; urgency=medium

  * Build with Qt6 6.6

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 07 Jun 2024 10:35:10 +0200

qmmp-dmo (2:2.1.4-dmo3) unstable; urgency=medium

  * Rebuild for time_t (libmpg123-0t64)

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 09 Apr 2024 07:48:23 +0200

qmmp-dmo (2:2.1.4-dmo2) unstable; urgency=medium

  * Rebuild for time_t

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 16 Mar 2024 23:19:19 +0100

qmmp-dmo (2:2.1.4-dmo1) unstable; urgency=medium

  * Switch to version 2 with Qt6 interface.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 21 Jun 2023 16:17:14 +0200

=== debian/control ===
--- 
+++ 
@@ -4,28 +4,56 @@
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://qmmp.ylsoftware.com/
-Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Build-Conflicts: libprojectm-dev [armel armhf]
-Build-Depends: debhelper-compat (= 13), cmake (>= 2.6.0), pkgconf, libenca-dev,
- libasound2-dev [linux-any], libjack-jackd2-dev, libpulse-dev (>= 0.9.15),
- libvorbis-dev, libmad0-dev, libtag1-dev (>= 1.6), libcurl4-gnutls-dev,
- libflac-dev (>= 1.1.3), libsamplerate0-dev (>= 0.1.2), qtbase5-dev, oss4-dev,
- libxmp-dev, libsndfile1-dev (>= 1.0.17), qttools5-dev,
- libwavpack-dev (>= 4.41), libopusfile-dev, libavcodec-dev (>= 10:4.0),
- libavformat-dev, libx11-dev, libfaad-dev (>= 2.6.1), libsoxr-dev, ninja-build,
- libmpcdec-dev, libcdio-paranoia-dev, libmms-dev (>= 0.4), qtmultimedia5-dev,
- libcddb2-dev (>= 1.3.1), libsidplayfp-dev (>= 1.8.1~), libqt5x11extras5-dev,
- libwildmidi-dev (>= 0.2.3.4), libgme-dev (>= 0.5.5), libbs2b-dev (>= 3.0.0),
- libarchive-dev, libprojectm-dev [!armel !armhf], libshout-dev, libmpg123-dev,
- libpipewire-0.3-dev (>= 0.3.26)
+Build-Depends: cmake (>= 2.6.0),
+ debhelper-compat (= 13),
+ libarchive-dev,
+ libasound2-dev [linux-any],
+ libavcodec-dev (>= 10:4.0),
+ libavformat-dev,
+ libbs2b-dev (>= 3.0.0),
+ libcddb2-dev (>= 1.3.1),
+ libcdio-paranoia-dev,
+ libcurl4-gnutls-dev,
+ libenca-dev,
+ libfaad-dev (>= 2.6.1),
+ libflac-dev (>= 1.1.3),
+ libgme-dev (>= 0.5.5),
+ libjack-jackd2-dev,
+ libmad0-dev,
+ libmms-dev (>= 0.4),
+ libmpcdec-dev,
+ libmpg123-dev,
+ libopusfile-dev,
+ libpipewire-0.3-dev (>= 0.3.26),
+ libprojectm-dev [!armel !armhf],
+ libpulse-dev (>= 0.9.15),
+ libsamplerate0-dev (>= 0.1.2),
+ libshout-dev,
+ libsidplayfp-dev (>= 1.8.1~),
+ libsndfile1-dev (>= 1.0.17),
+ libsoxr-dev,
+ libtag-dev,
+ libvorbis-dev,
+ libwavpack-dev (>= 4.41),
+ libwildmidi-dev (>= 0.2.3.4),
+ libx11-dev,
+ libxkbcommon-dev,
+ libxmp-dev,
+ ninja-build,
+ oss4-dev,
+ pkgconf,
+ qt6-base-dev,
+ qt6-multimedia-dev,
+ qt6-tools-dev,
 
 Package: qmmp
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Suggests: qmmp-plugin-projectm, mplayer, unzip, udisks2 [linux-any], hal [!linux-any]
-Replaces: libqmmp0 (<< 0.8.1-dmo3), libqmmpui0 (<< 0.8.1-dmo3), libqmmp-misc (<< 0.8.1-dmo3)
-Conflicts: libqmmp0 (<< 0.8.1-dmo3), libqmmpui0 (<< 0.8.1-dmo3), libqmmp-misc (<< 0.8.1-dmo3)
+Depends: ${misc:Depends}, ${shlibs:Depends},
+Suggests:  mplayer, qmmp-plugin-projectm, udisks2 [linux-any], unzip,
+Replaces: libqmmp-misc (<< 0.8.1-dmo3), libqmmp0 (<< 0.8.1-dmo3), libqmmpui0 (<< 0.8.1-dmo3),
+Conflicts: libqmmp-misc (<< 0.8.1-dmo3), libqmmp0 (<< 0.8.1-dmo3), libqmmpui0 (<< 0.8.1-dmo3),
 Description: Feature-rich audio player with support of many formats
  Qmmp is feature-rich audio player with support of many formats.
  .
@@ -86,8 +114,8 @@
   - global hotkeys
 
 Package: qmmp-plugin-projectm
-Architecture: amd64 arm64 i386 mips mipsel powerpc mips64el
-Depends: ${misc:Depends}, ${shlibs:Depends}, fonts-dejavu-core
+Architecture: amd64 arm64 i386 powerpc riscv64
+Depends: fonts-dejavu-core, ${misc:Depends}, ${shlibs:Depends},
 Description: qmmp audio player -- projectM visualization plugin
  Qmmp is feature-rich audio player with support of many formats. It is
  written in Qt.

## qmmp-dmo 2.2.8

=== debian/changelog ===
qmmp-dmo (2:2.2.8-dmo2) unstable; urgency=medium

  * Buidl with ffmpeg 8

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 31 Aug 2025 18:56:17 +0200

qmmp-dmo (2:2.2.8-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 21 Aug 2025 13:58:23 +0200

## qmmp-dmo 2.3.0

=== src/plugins/Transports/CMakeLists.txt ===
option(USE_CURL "curl-based http plugin" ON)

if(USE_CURL)
    add_subdirectory(http)
endif(USE_CURL)

=== src/plugins/FileDialogs/QmmpFileDialog/CMakeLists.txt ===
project(libqmmpfiledialog)

set(libqmmpfiledialog_SRCS
    qmmpfiledialogimpl.cpp
    qmmpfiledialog.cpp
    qmmpfiledialog.ui
    translations/translations.qrc
)

add_library(qmmpfiledialog MODULE ${libqmmpfiledialog_SRCS})
target_link_libraries(qmmpfiledialog PRIVATE Qt6::Widgets libqmmpui libqmmp)
install(TARGETS qmmpfiledialog DESTINATION ${PLUGIN_DIR}/FileDialogs)

=== src/plugins/General/trackchange/CMakeLists.txt ===
project(libtrackchange)

set(libtrackchange_SRCS
    trackchange.cpp
    trackchangefactory.cpp
    trackchangesettingsdialog.cpp
    trackchangesettingsdialog.ui
    translations/translations.qrc
)

add_library(trackchange MODULE ${libtrackchange_SRCS})
target_link_libraries(trackchange PRIVATE Qt6::Widgets libqmmpui libqmmp)
install(TARGETS trackchange DESTINATION ${PLUGIN_DIR}/General)

=== src/plugins/Input/ffmpeg/CMakeLists.txt ===
project(libffmpeg)

# fixes ffmpeg defines
add_definitions(-D__STDC_CONSTANT_MACROS)

# minimal supported versions
# ffmpeg-3.4: libavcodec-57.107.100, libavformat-57.83.100, libavutil-55.78.100
pkg_check_modules(FFMPEG libavcodec>=57.107.0 libavformat>=57.83.0 libavutil>=55.78.0 IMPORTED_TARGET)

SET(libffmpeg_SRCS
  decoder_ffmpeg.cpp
  decoder_ffmpegcue.cpp
  decoder_ffmpegm4b.cpp
  decoderffmpegfactory.cpp
  ffmpegmetadatamodel.cpp
  ffmpegsettingsdialog.cpp
  replaygainreader.cpp
  ffmpegsettingsdialog.ui
  translations/translations.qrc
)

if(FFMPEG_FOUND)
    add_library(ffmpeg MODULE ${libffmpeg_SRCS})
    target_link_libraries(ffmpeg PRIVATE Qt6::Widgets libqmmp PkgConfig::FFMPEG PkgConfig::TAGLIB)
    install(TARGETS ffmpeg DESTINATION ${PLUGIN_DIR}/Input)
endif(FFMPEG_FOUND)

=== debian/changelog ===
qmmp-dmo (2:2.3.0-dmo1~bpo13+1) trixie-backports; urgency=medium

  * Upload to stable-backports (Build with ffmpeg 8)

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 14 Oct 2025 15:27:24 +0200

qmmp-dmo (2:2.3.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 14 Oct 2025 00:32:59 +0200

=== debian/control ===
--- 
+++ 
@@ -21,10 +21,8 @@
  libflac-dev (>= 1.1.3),
  libgme-dev (>= 0.5.5),
  libjack-jackd2-dev,
- libmad0-dev,
  libmms-dev (>= 0.4),
  libmpcdec-dev,
- libmpg123-dev,
  libopusfile-dev,
  libpipewire-0.3-dev (>= 0.3.26),
  libprojectm-dev [!armel !armhf],

=== debian/rules ===
--- 
+++ 
@@ -5,10 +5,7 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-	-DCMAKE_BUILD_TYPE=RelWithDebInfo \
-	-DCMAKE_INSTALL_RPATH_USE_LINK_PATH=1 \
-	-DCMAKE_INSTALL_RPATH=/usr/lib/qmmp \
-	-DLIB_DIR=lib/qmmp
+	-DCMAKE_BUILD_TYPE=RelWithDebInfo
 
 #	exit 1

=== debian/watch ===
version=4


https://qmmp.ylsoftware.com/files/qmmp/@ANY_VERSION@/ \
qmmp-@ANY_VERSION@@ARCHIVE_EXT@

## qmmp-dmo 2.3.1

=== debian/changelog ===
qmmp-dmo (2:2.3.1-dmo2) unstable; urgency=medium

  * Build with libcdio-cdda2t64

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 01 Jan 2026 17:02:55 +0100

qmmp-dmo (2:2.3.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 23 Dec 2025 08:36:45 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: qmmp-dmo
 Section: sound
-Priority: optional
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://qmmp.ylsoftware.com/
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Build-Conflicts: libprojectm-dev [armel armhf]
 Build-Depends: cmake (>= 2.6.0),
  debhelper-compat (= 13),
